# MyLibs: SPI_SettingsTypeDef Struct Reference

Loading...
Searching...
No Matches
SPI_SettingsTypeDef Struct Reference

## Public Attributes

SPI_HandleTypeDef | hspi
GPIO_TypeDef * | CLK_GPIOx
uint32_t | CLK_PIN
uint32_t | CLK_GPIO_AlternageFunc
GPIO_TypeDef * | MISO_GPIOx
uint32_t | MISO_PIN
uint32_t | MISO_GPIO_AlternageFunc
GPIO_TypeDef * | MOSI_GPIOx
uint32_t | MOSI_PIN
uint32_t | MOSI_GPIO_AlternageFunc

## Detailed Description

Definition at line 33 of file __general_spi.h.

## Member Data Documentation

## hspi

SPI_HandleTypeDef SPI_SettingsTypeDef::hspi

Definition at line 35 of file __general_spi.h.

## CLK_GPIOx

GPIO_TypeDef* SPI_SettingsTypeDef::CLK_GPIOx

Definition at line 37 of file __general_spi.h.

## CLK_PIN

uint32_t SPI_SettingsTypeDef::CLK_PIN

Definition at line 38 of file __general_spi.h.

## CLK_GPIO_AlternageFunc

uint32_t SPI_SettingsTypeDef::CLK_GPIO_AlternageFunc

Definition at line 39 of file __general_spi.h.

## MISO_GPIOx

GPIO_TypeDef* SPI_SettingsTypeDef::MISO_GPIOx

Definition at line 41 of file __general_spi.h.

## MISO_PIN

uint32_t SPI_SettingsTypeDef::MISO_PIN

Definition at line 42 of file __general_spi.h.

## MISO_GPIO_AlternageFunc

uint32_t SPI_SettingsTypeDef::MISO_GPIO_AlternageFunc

Definition at line 43 of file __general_spi.h.

## MOSI_GPIOx

GPIO_TypeDef* SPI_SettingsTypeDef::MOSI_GPIOx

Definition at line 45 of file __general_spi.h.

## MOSI_PIN

uint32_t SPI_SettingsTypeDef::MOSI_PIN

Definition at line 46 of file __general_spi.h.

## MOSI_GPIO_AlternageFunc

uint32_t SPI_SettingsTypeDef::MOSI_GPIO_AlternageFunc

Definition at line 47 of file __general_spi.h.

The documentation for this struct was generated from the following file:

- E:/.WORK/STM32/STM32_ExtendedLibs/MyLibsGeneral/Inc/__general_spi.h